---
title: "Verify an upload and queue conversation processing"
description: "Idempotent. Re-finalizing a failed conversation retries processing against the same immutable object; it never re-uploads or overwrites audio."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Conversations

`POST /api/field-sales/conversations/{id}/finalize`

Idempotent. Re-finalizing a failed conversation retries processing against the same immutable object; it never re-uploads or overwrites audio.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/field-sales/conversations/%7Bid%7D/finalize \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/field-sales/conversations/%7Bid%7D/finalize';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/field-sales/conversations/%7Bid%7D/finalize"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 202

Processing queued

### 404

Conversation missing or feature disabled

### 409

Upload incomplete or conversation not in a finalizable state


Source: https://developer.channelautomations.com/api/post-api-field-sales-conversations-id-finalize/index.md
